roasOS
API referenceGenerations

Get generation details

Poll this endpoint to check generation status. When `status` is `completed`, the `output` field contains the result URLs.

GET
/v1/generations/{id}

Poll this endpoint to check generation status. When status is completed, the output field contains the result URLs.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/generations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "type": "string",    "status": "pending",    "model": "string",    "prompt": "string",    "credits_used": 0,    "error_message": "string",    "output": {      "url": "http://example.com",      "images": [        "http://example.com"      ],      "scene_id": "861eef56-1159-4a95-802f-abab2d0cc192",      "avatar_id": "ceaabbd8-6fdf-460c-878c-7d0ae67338c0",      "reference_sheet": "http://example.com",      "portrait_url": "http://example.com",      "full_body_url": "http://example.com",      "provider_seed": -2147483648    },    "created_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z"  }}